summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAlexis Ballier <aballier@gentoo.org>2016-11-29 12:26:30 +0100
committerAlexis Ballier <aballier@gentoo.org>2016-11-29 13:18:39 +0100
commit2c8b8a2f97cca7ec14f4bc875f1eea14ad02564c (patch)
tree5da4ee75699f5b3f09ab40e6b52815b8c593ef50
parentsci-electronics/gazebo: remove old (diff)
downloadgentoo-2c8b8a2f97cca7ec14f4bc875f1eea14ad02564c.tar.gz
gentoo-2c8b8a2f97cca7ec14f4bc875f1eea14ad02564c.tar.bz2
gentoo-2c8b8a2f97cca7ec14f4bc875f1eea14ad02564c.zip
dev-ml/camlp5: bump to 6.17
Package-Manager: portage-2.3.2
-rw-r--r--dev-ml/camlp5/Manifest1
-rw-r--r--dev-ml/camlp5/camlp5-6.17.ebuild66
2 files changed, 67 insertions, 0 deletions
diff --git a/dev-ml/camlp5/Manifest b/dev-ml/camlp5/Manifest
index f4fb00163fb..09a9348a6f4 100644
--- a/dev-ml/camlp5/Manifest
+++ b/dev-ml/camlp5/Manifest
@@ -1,3 +1,4 @@
DIST camlp5-6.14.tgz 748674 SHA256 09f9ed12893d2ec39c88106af2306865c966096bedce0250f2fe52b67d2480e2 SHA512 7dd57b8725953099726fc2e5f6dda01ed74485a4bbf41cb30ccd2163ee38bc6dff36fd83069c58d7990522527d266c9e180a8e333b36a42bc216315dc88a25e9 WHIRLPOOL 305bb842e449775352cbbf3c89a301a188419c10462f0959b00e181596218b5251dac50856f152ad471fd680e557e6595978c395e9c2864c38ddacd7287c4e3b
DIST camlp5-6.15.tgz 756199 SHA256 2e0e1e31e0537f2179766820dd9bd0a4d424bc5ab9c610e6dbf9145f27747f2b SHA512 658ff32d1d124e91e85d8eba47039bb75573b3807d67fae723335bb06d3237c4151f6d671fb3b068ec4ebffdde03f7956174c9f0ca29eafa5990974987bc2aca WHIRLPOOL d449b7a485967b79efbc030527513d99dd19d4856ebc132133d09d7028c210b4314ac401de65ac7671d3066f6a2184df157a0091fc173f4d6e7ae8bc7ad2c432
DIST camlp5-6.16.tgz 759877 SHA256 fd446cff6421f5144a521c7cecfdc7217b1424908186cddd3d5be543b35058b1 SHA512 b1bfa271bb7df169c5b0d0f0a20038ab95c2101475e1729f5a779fea0872165f73b04e0cd792e9fbc31e81bb37cbef06a9761f7748ea1ab87753dbd20202d5ed WHIRLPOOL 433a85b393ee6498c6ab86b7feb2cfec8188526ca628c796efafd1d1c9f6204e737074a63e9e448ef757ba9b7b1dce06433b58278352155f5405ea4a76bb6303
+DIST camlp5-6.17.tar.gz 718935 SHA256 8fa2a46a7030b1194862650cbb71ab52a10a0174890560a8b6edf236f8937414 SHA512 c4bf32eb79202d6127375b940fe77fc57c7dc5f8c6763b50ba23ab52ae9f3edb0ba15148109af2f6f4808619348d78e927cfdf29901bf1141b17de0d3fd8ff30 WHIRLPOOL 287641aa68bda275e39968aae93500307b5726e5381bbb5012840fcd6f3fd9a24335e9950a8fd9fed61045bf328ea877cd96ad735f6ce712b2e65a747e4ccf9e
diff --git a/dev-ml/camlp5/camlp5-6.17.ebuild b/dev-ml/camlp5/camlp5-6.17.ebuild
new file mode 100644
index 00000000000..f7616f3e0f7
--- /dev/null
+++ b/dev-ml/camlp5/camlp5-6.17.ebuild
@@ -0,0 +1,66 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit multilib findlib eutils versionator
+
+MY_P=${P%_p*}
+DESCRIPTION="A preprocessor-pretty-printer of ocaml"
+HOMEPAGE="https://camlp5.github.io/"
+SRC_URI="https://github.com/camlp5/camlp5/archive/rel$(replace_all_version_separators '').tar.gz -> ${P}.tar.gz"
+S="${WORKDIR}/${PN}-rel$(replace_all_version_separators '')"
+
+LICENSE="BSD"
+SLOT="0/${PV}"
+KEYWORDS="~alpha ~amd64 ~ppc ~x86 ~x86-fbsd"
+IUSE="doc +ocamlopt"
+
+DEPEND=">=dev-lang/ocaml-3.10:=[ocamlopt?]"
+RDEPEND="${DEPEND}"
+
+PATCHLEVEL=${PV#*_p}
+PATCHLIST=""
+
+if [ "${PATCHLEVEL}" != "${PV}" ] ; then
+ for (( i=1; i<=PATCHLEVEL; i++ )) ; do
+ SRC_URI="${SRC_URI}
+ http://pauillac.inria.fr/~ddr/camlp5/distrib/src/patch-${PV%_p*}-${i} -> ${MY_P}-patch-${i}.patch"
+ PATCHLIST="${PATCHLIST} ${MY_P}-patch-${i}.patch"
+ done
+fi
+
+src_prepare() {
+ for i in ${PATCHLIST} ; do
+ epatch "${DISTDIR}/${i}"
+ done
+}
+
+src_configure() {
+ ./configure \
+ --strict \
+ -prefix /usr \
+ -bindir /usr/bin \
+ -libdir /usr/$(get_libdir)/ocaml \
+ -mandir /usr/share/man || die "configure failed"
+}
+
+src_compile(){
+ emake out
+ if use ocamlopt; then
+ emake opt
+ emake opt.opt
+ fi
+}
+
+src_install() {
+ emake DESTDIR="${D}" install
+ # findlib support
+ insinto "$(ocamlfind printconf destdir)/${PN}"
+ doins etc/META
+
+ use doc && dohtml -r doc/*
+
+ dodoc CHANGES DEVEL ICHANGES README UPGRADING MODE
+}